import random,pygame

pygame.init()

pool = 'QWERTYUIOPASDFGHJKLZXCVBNMqwertyuiopasdfghjklzxcvbnm'
length = 10
lengthVar = 3
fontSize = 20
fontSizeVar = 10
speed = 4
speedVar = 2
change = 8
changeVar = 4
count = 80  

size = len(pool)-1
screen = pygame.display.set_mode((400,400))

def getRandLetter():
    return pool[random.randint(0,size)]

class Letter():
    def __init__(self):
        self.character = getRandLetter()
        self.seed = change-changeVar+random.randint(0,changeVar*2)
        self.tick = 0

    def update(self):
        self.tick += 1
        if self.tick > self.seed:
            self.character = getRandLetter()
            self.tick = 0

class Line():
    def __init__(self):
        self.start()

    def draw(self):
        for i in range(self.length):
            screen.blit(self.font.render(self.letters[i].character, False, self.color), (self.xpos, self.ypos+i*(self.fontSize/2+1)))
            self.letters[i].update()
        self.ypos += self.speed

        if self.ypos > 400:
            self.start()

    def start(self):
        self.fontSize = fontSize - fontSizeVar + random.randint(0, fontSizeVar * 2)
        self.length = 10 - lengthVar + random.randint(0, lengthVar * 2)
        self.letters = [Letter() for i in range(self.length)]
        self.xpos = random.randint(0, 400 - self.fontSize)
        self.ypos = -self.length * fontSize / 2 - random.randint(0, 400)
        self.speed = speed - speedVar + random.randint(0, speedVar * 2)
        self.font = pygame.font.Font("ARCADECLASSIC.ttf", self.fontSize)
        self.color = (
            20 * self.fontSize / (fontSize + fontSizeVar), 155 * self.fontSize / (fontSize + fontSizeVar), 0)

if __name__ == "__main__":
    clock = pygame.time.Clock()

    lines = [Line() for i in range(count)]

    while True:
        screen.fill((0,0,0))
        for line in lines:
            line.draw()
        pygame.display.flip()
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                pygame.quit()

        clock.tick(30)