import pygame,random,math

pygame.init()

w = 400
h = 400

starCount = 20
zoomoutSpeed = 2
acceleration = 10
starSpeed = 0.5


def subad(num1, num2):
    if num1 <= 0:
        return num1-num2
    return num1+num2

class Starz():
    def __init__(self, screen):
        self.x = random.randint(-w/2, w/2)
        self.y = random.randint(-h/2, h/2)
        self.r = 2
        self.screen = screen
        angle = math.atan2(self.y, self.x)
        self.speedx = abs(zoomoutSpeed*math.cos(angle))
        self.speedy = abs(zoomoutSpeed*math.sin(angle))
        self.accelerationx = abs(acceleration*math.cos(angle))
        self.accelerationy = abs(acceleration*math.sin(angle))

    def draw(self):
        pygame.draw.circle(self.screen, (255,255,255), (int(self.x+200),int(self.y+200)), int(self.r))
        self.r += starSpeed
        self.speedx = subad(self.speedx, self.accelerationx)
        self.speedy = subad(self.speedy, self.accelerationy)
        self.x = subad(self.x, self.speedx)
        self.y = subad(self.y, self.speedy)
        if self.x+200 <= 0 or self.x+200 >= 400 or self.y+200 <= 0 or self.y+200 >= 400:
            self.x = random.randint(-w / 2, w / 2)
            self.y = random.randint(-h / 2, h / 2)
            self.r = 2
            angle = math.atan2(self.y, self.x)
            self.speedx = abs(zoomoutSpeed * math.cos(angle))
            self.speedy = abs(zoomoutSpeed * math.sin(angle))
            self.accelerationx = abs(acceleration * math.cos(angle))
            self.accelerationy = abs(acceleration * math.sin(angle))

if __name__ == "__main__":
    screen = pygame.display.set_mode((w, h))
    shuttle = pygame.image.load("shuttle.png").convert_alpha()
    stars = [Starz(screen) for i in range(starCount)]
    clock = pygame.time.Clock()

    while True:
        screen.fill((0,0,0))
        for star in stars:
            star.draw()
        screen.blit(shuttle, (0+random.randint(-2,2),0+random.randint(-2,2)))
        pygame.display.flip()
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                pygame.quit()
        clock.tick(20)