from Config import *

class AudioPlayer():
    def __init__(self,id,type,volume=0.8):
        self.music = pygame.mixer.Sound('audios//'+id+'.ogg')
        self.music.set_volume(volume)
        if type == "bg":
            self.channel = pygame.mixer.Channel(1)
        if type == "se":
            self.channel = pygame.mixer.Channel(2)

    def playNonStop(self):
        self.channel.play(self.music,-1)

    def playOnce(self):
        self.channel.play(self.music, 0)

    def stop(self):
        self.channel.stop()
